Bug 172406 - [PATCH] net-im/psi: update to 0.15
Summary: [PATCH] net-im/psi: update to 0.15
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Max Brazhnikov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-06 17:20 UTC by Dmitry Marakasov
Modified: 2012-10-10 17:19 UTC (History)
1 user (show)

See Also:


Attachments
psi-0.15.patch (3.64 KB, patch)
2012-10-06 17:20 UTC, Dmitry Marakasov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Marakasov 2012-10-06 17:20:09 UTC
- Update to 0.15

These seem to be no other way to make psi respect systemwide compiler settings than to use qmake wrapper script, so it's done that way.

Added file(s):
- files/qmake-wrapper.sh

Removed file(s):
- files/patch-configure
- files/patch-iris__src__libbase.pri

Port maintainer (makc@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.99_6 (mode: update, diff: ports)
Comment 1 Edwin Groothuis freebsd_committer 2012-10-06 17:20:21 UTC
Responsible Changed
From-To: freebsd-ports-bugs->makc

Over to maintainer (via the GNATS Auto Assign Tool) 

http://www.freebsd.org/cgi/query-pr.cgi?pr=172406 

Date: Sat, 6 Oct 2012 23:04:17 +0000
Comment 2 Dmitry Marakasov 2012-10-08 23:39:47 UTC
* Max Brazhnikov (makc@freebsd.org) wrote:

> > - Update to 0.15
> 
> Thanks for patch! Actually I've updated psi to 0.15 on my box already and was going to commit it.
> 
> > These seem to be no other way to make psi respect systemwide compiler settings than to use qmake wrapper script, so it's done that way.
> 
> Yeah, configure system is as entangled as multistage rocket. I suggest slightly different approach for respecting QMAKEFLAGS, could you test it?
> 
> http://people.freebsd.org/~makc/patches/psi-0.15.diff

Just when I was about to test it, freefall wents down. I've given
it a quick glance before though, and my guess is that it won't work:
you pass whole QMAKEFLAGS as a single argument, and it likely results
into not respecting QMAKEFLAGS, as typical QMAKEFLAGS like

QMAKE_CC="cc" QMAKE_CXX="c++"  QMAKE_LINK="c++" QMAKE_LINK_SHLIB="c++" QMAKE_LINK_C="cc" QMAKE_LINK_C_SHLIB="cc"  QMAKE_CFLAGS="-O2 -pipe -march=nocona -fno-strict-aliasing" QMAKE_CXXFLAGS="-O2 -pipe -march=nocona -fno-strict-aliasing"  QMAKE_CFLAGS_THRE AD="" QMAKE_LFLAGS_THREAD="-pthread"

will be interpreted as a long QMAKE_CC value. I may be wrong though and
this requires testing - could you please send a patch via email so
I can test it if freefall doesn't go up soon?

-- 
Dmitry Marakasov   .   55B5 0596 FF1E 8D84 5F56  9510 D35A 80DD F9D2 F77D
amdmi3@amdmi3.ru  ..:  jabber: amdmi3@jabber.ru    http://www.amdmi3.ru
Comment 3 Max Brazhnikov freebsd_committer 2012-10-10 17:19:11 UTC
State Changed
From-To: open->closed

Different patch committed, thanks!